<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.MoveMultipleKey Method (UInt32)
BTreeCursor Class See Also

Position the cursor at a specific key/data pair in the database, and store the key/data pair and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MoveMultipleKey(
    	uint recno
    )

Visual Basic (Declaration)

    Public Function MoveMultipleKey ( _
    	recno As UInteger _
    ) As Boolean

Visual C++

    public:
    bool MoveMultipleKey(
    	unsigned int recno
    )

#### Parameters

recno
  Type: System..::.UInt32
  The specific numbered record of the database at which to position the cursor.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

BTreeCursor Class
MoveMultipleKey Overload
BerkeleyDB Namespace